package io.reisub.dreambot.cshopper.tasks;

import io.reisub.dreambot.cshopper.CShopper;
import io.reisub.dreambot.cshopper.ItemWrapper;
import org.dreambot.api.methods.container.impl.Inventory;
import org.dreambot.api.methods.container.impl.Shop;
import org.dreambot.api.script.TaskNode;

public class Buy extends TaskNode {
    @Override
    public boolean accept() {
        if (!Shop.isOpen()) return false;

        for (ItemWrapper iw : CShopper.getConfiguration().getItems()) {
            int shopCount = Shop.get(iw.getName()).getAmount();

            int inventoryCount = 0;
            if (Inventory.get(iw.getName()) != null) {
                inventoryCount = Inventory.get(iw.getName()).getAmount();
            }

            if (shopCount > iw.getMinimumInShop() && inventoryCount < iw.getBuyTotal()) return true;
        }

        return false;
    }

    @Override
    public int execute() {
        for (ItemWrapper iw : CShopper.getConfiguration().getItems()) {
            int shopCount = Shop.get(iw.getName()).getAmount();

            int inventoryCount = 0;
            if (Inventory.get(iw.getName()) != null) {
                inventoryCount = Inventory.get(iw.getName()).getAmount();
            }

            if (shopCount > iw.getMinimumInShop() && inventoryCount < iw.getBuyTotal()) {
                int toBuy = shopCount - iw.getMinimumInShop();
                // TODO finish while testing at shop
            }
        }

        return 0;
    }
}
